org.apache.solr.client.solrj.cloud.autoscaling

## Class Clause.ComputedValueEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Clause.ComputedValueEvaluator

All Implemented Interfaces:
  Function<Condition,Object>

Enclosing class:
  Clause

    public static class Clause.ComputedValueEvaluator
    extends Object
    implements Function<Condition,Object>

### Constructor Summary

Constructors
Constructor and Description
`ComputedValueEvaluator(Policy.Session session)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `apply(Condition computedCondition)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose, identity`

### Constructor Detail

#### ComputedValueEvaluator

    public ComputedValueEvaluator(Policy.Session session)

### Method Detail

#### apply

    public Object apply(Condition computedCondition)

Specified by:
  `apply` in interface `Function<Condition,Object>`